Subject: [GROW] , feedback, draft-evens-grow-bmp-adj-rib-out-01, draft-evens-grow-bmp-local-rib-00

From: <[email-masked]>
Date: Wed, 16 Aug 2017 18:21:50 +0000

Hi,

I would like to congratulate on these two drafts, share my opinions and our intention to use BMP local RIB and Adj RIB Out support as soon as it is available and look forward to test it.

We have BMP V3 and BGP VPNv4/VPNv6 eBGP peerings to MPLS PE routers from our collectors. We are using the Adj RIB out metrics, gathered by BGP VPNv4/VPNv6 eBGP peering, to correlate/aggregate with Netflow/IPFIX. The Adj RIB In metrics collected by BMP V3 are used for BGP control-plane visualization and troubleshooting purposes.

To correlate BGP VPNv4/6 with IPFIX IPv4/IPv6 VRF name (IPFIX element id 236, VRFname) we are currently using SNMP OID mplsL3VpnVrfRD(1.3.6.1.2.1.10.166.11.1.2.2.1.4).

To simplify the current collection setup we like to reduce from two peerings (BMP + BGP VPNv4/6) to BMP only and improve Netflow/IPFIX correlation by using BMP local RIB instead of Adj RIB out.

We are pleased to see that the collection of BGP route-distinguishers have been covered in section 5.1 and the VRF name in section 6.1.1. We expect that with this, we are able to correlate to the VRF name contained in the IPFIX template (IPFIX element id 236, VRFname). That would further simplify our current setup since we would not need SNMP anymore. Correct?

The only question raised when reading through the IETF grow-bmp-local-rib draft was, if it would make sense to include an additional information, such as if a route was filtered through a table-map/distribute-list/admin distance when imported from BGP local RIB to the RIB. This could be seen similar as a peer route-policy in the Adj RIB in/out.

This could be a useful additional information since one of the application is to correlate IPFIX with the RIB and the only differences between the BGP local RIB and RIB could be due table-map/distribute-list/admin distance filtering.

I hope this makes sense. Please correct me if I misunderstood something. Feedback very welcome.

kind regards
    Thomas Graf
    ___________________________________________________________________________
    Network Engineer
    Cloud Connectivity Management

    Phone           +41 58 223 84 01
    Mobile           +41 79 728 80 12
    [email-masked]<mailto:[email-masked]>
    ___________________________________________________________________________
    Swisscom (Schweiz) AG
    Binzring 17
    CH-8045 Zürich
    Switzerland
    www.swisscom.ch<http://www.swisscom.ch>